Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc
Interface SQLExecutionEvent

All Known Implementing Classes:
  SQLExecutionManagerImpl.SQLExecutionEventImpl

public interface SQLExecutionEvent

A generic SQL Event.

Since:
  2.4
See Also:
  `SQLExecutionListener.eventOccurred(SQLExecutionEvent)`

Field Summary
`static short` | `AFTER_CLOSE` Type code indicating that a `Connection` was just closed.
`static short` | `AFTER_CLOSE_RESULTSET` Type code indicating that a `ResultSet` was just closed.
`static short` | `AFTER_COMMIT` Type code indicating that a `Connection` was just committed.
`static short` | `AFTER_CONNECT` Type code indicating that a `Connection` has been opened.
`static short` | `AFTER_EXECUTE_STATEMENT` Type code indicating that a `Statement` completed execution.
`static short` | `AFTER_ROLLBACK` Type code indicating that a rollback just occured.
`static short` | `BEFORE_CLOSE` Type code indicating that a `Connection` is about to be closed.
`static short` | `BEFORE_CLOSE_RESULTSET` Type code indicating that a `ResultSet` is about to be closed.
`static short` | `BEFORE_COMMIT` Type code indicating that a `Connection` is about to be committed.
`static short` | `BEFORE_CONNECT` Type code indicating that a `Connection` is about to be opened.
`static short` | `BEFORE_EXECUTE_STATEMENT` Type code indicating that a `Statement` is about to be executed.
`static short` | `BEFORE_ROLLBACK` Type code indicating that a rollback is about to occur.
`static short` | `CREATING_STATEMENT` Type code indicating that a `Statement` is being created.
`static short` | `PREPARING_STATEMENT` Type code indicating that a `Statement` is being prepared.

Method Summary
`SQLExecutionEvent` | `getAssociatedEvent()`
`Connection` | `getConnection()`
`SQLExecutionManager` | `getManager()`
`ResultSet` | `getResultSet()`
`SQLBuffer[]` | `getSQLBuffer()`
`Statement` | `getStatement()`
`long` | `getTime()`
`short` | `getType()`

Field Detail

### PREPARING_STATEMENT

    public static final short PREPARING_STATEMENT

  Type code indicating that a `Statement` is being prepared.

### CREATING_STATEMENT

    public static final short CREATING_STATEMENT

  Type code indicating that a `Statement` is being created.

### BEFORE_EXECUTE_STATEMENT

    public static final short BEFORE_EXECUTE_STATEMENT

  Type code indicating that a `Statement` is about to be executed.

### AFTER_EXECUTE_STATEMENT

    public static final short AFTER_EXECUTE_STATEMENT

  Type code indicating that a `Statement` completed execution.

### BEFORE_COMMIT

    public static final short BEFORE_COMMIT

  Type code indicating that a `Connection` is about to be committed.

### AFTER_COMMIT

    public static final short AFTER_COMMIT

  Type code indicating that a `Connection` was just committed.

### BEFORE_ROLLBACK

    public static final short BEFORE_ROLLBACK

  Type code indicating that a rollback is about to occur.

### AFTER_ROLLBACK

    public static final short AFTER_ROLLBACK

  Type code indicating that a rollback just occured.

### BEFORE_CLOSE

    public static final short BEFORE_CLOSE

  Type code indicating that a `Connection` is about to be closed.

### AFTER_CLOSE

    public static final short AFTER_CLOSE

  Type code indicating that a `Connection` was just closed.

### BEFORE_CLOSE_RESULTSET

    public static final short BEFORE_CLOSE_RESULTSET

  Type code indicating that a `ResultSet` is about to be closed.

### AFTER_CLOSE_RESULTSET

    public static final short AFTER_CLOSE_RESULTSET

  Type code indicating that a `ResultSet` was just closed.

### BEFORE_CONNECT

    public static final short BEFORE_CONNECT

  Type code indicating that a `Connection` is about to be opened.

### AFTER_CONNECT

    public static final short AFTER_CONNECT

  Type code indicating that a `Connection` has been opened.

Method Detail

### getType

    public short getType()

  Returns:
    the type code for the event.

### getStatement

    public Statement getStatement()

  Returns:
    the Statement for this event, may be null for events unrelated to Statement execution.

### getConnection

    public Connection getConnection()

  Returns:
    the Connection for this event, may be null for events unrelated to Connection activity.

### getTime

    public long getTime()

  Returns:
    the time in milliseconds that this event was created.

### getManager

    public SQLExecutionManager getManager()

  Returns:
    the `SQLExecutionManager` implementation that caused this event.

### getResultSet

    public ResultSet getResultSet()

  Returns:
    the ResultSet for this event, may be null for events unrelated to ResultSet activity.

### getSQLBuffer

    public SQLBuffer[] getSQLBuffer()

  Returns:
    the `SQLBuffer`s for this event, may be null for events unrelated to SQL activity.

### getAssociatedEvent

    public SQLExecutionEvent getAssociatedEvent()

  Returns:
    the associated `SQLExecutionEvent` for this event. For AFTER_XXX events, this will typically be the SQLExecutionEvent that was created in the BEFORE_XXX stage. This may be null when an association is not appropriate for the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.